digiKam Developer Documentation: Digikam::ItemInfoData Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
Digikam::ItemInfoData Class Reference
Inheritance diagram for Digikam::ItemInfoData:

## Public Types
typedef DatabaseFields::Hash< QVariant > | DatabaseFieldsHashRaw

## Public Attributes
int | albumId = -1
int | albumRootId = -1
double | altitude = 0
DatabaseItem::Category | category = DatabaseItem::UndefinedCategory
bool | categoryCached = false
quint8 | colorLabel = NoColorLabel
bool | colorLabelCached = false
QDateTime | creationDate
bool | creationDateCached = false
qlonglong | currentReferenceImage = -1
double | currentSimilarity = 0.0
DatabaseFieldsHashRaw | databaseFieldsHashRaw
QString | defaultComment
bool | defaultCommentCached = false
QString | defaultTitle
bool | defaultTitleCached = false
int | faceCount = 0
bool | faceCountCached = false
QMap< QString, QString > | faceSuggestions
bool | faceSuggestionsCached = false
qlonglong | fileSize = 0
bool | fileSizeCached = false
QString | format
bool | formatCached = false
qlonglong | groupImage = -1
| group leader, if the image is grouped
bool | groupImageCached = false
bool | hasAltitude = false
bool | hasCoordinates = false
bool | hasImageMetadata = true
bool | hasVideoMetadata = true
qlonglong | id = -1
DatabaseFields::ImageMetadataMinSizeType | imageMetadataCached = DatabaseFields::ImageMetadataNone
QSize | imageSize
bool | imageSizeCached = false
bool | invalid = false
double | latitude = 0
double | longitude = 0
qlonglong | manualOrder = 0
bool | manualOrderCached = false
QDateTime | modificationDate
bool | modificationDateCached = false
QString | name
int | orientation = 0
bool | orientationCached = false
quint8 | pickLabel = NoPickLabel
bool | pickLabelCached = false
bool | positionsCached = false
qint8 | rating = -1
bool | ratingCached = false
bool | statusChanged = false
QList< int > | tagIds
bool | tagIdsCached = false
int | unconfirmedFaceCount = 0
bool | unconfirmedFaceCountCached = false
QString | uniqueHash
bool | uniqueHashCached = false
DatabaseFields::VideoMetadataMinSizeType | videoMetadataCached = DatabaseFields::VideoMetadataNone